USE [master]
GO

CREATE DATABASE [TFC] ON  PRIMARY 
( NAME = N'TFC', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\DATA\TFC.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'TFC_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\DATA\TFC_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [TFC] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [TFC].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [TFC] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [TFC] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [TFC] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [TFC] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [TFC] SET ARITHABORT OFF 
GO

ALTER DATABASE [TFC] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [TFC] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [TFC] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [TFC] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [TFC] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [TFC] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [TFC] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [TFC] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [TFC] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [TFC] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [TFC] SET  DISABLE_BROKER 
GO

ALTER DATABASE [TFC] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [TFC] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [TFC] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [TFC] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [TFC] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [TFC] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [TFC] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [TFC] SET  READ_WRITE 
GO

ALTER DATABASE [TFC] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [TFC] SET  MULTI_USER 
GO

ALTER DATABASE [TFC] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [TFC] SET DB_CHAINING OFF 
GO


