use TFC

set nocount on

insert into tm_regio (descripcio) values ('Tarraconensis');
insert into tm_regio (descripcio) values ('Gallaecia');
insert into tm_regio (descripcio) values ('Cartaginensis');
insert into tm_regio (descripcio) values ('Lusitania');
insert into tm_regio (descripcio) values ('Betica');

insert into tm_poblacio (id_regio, descripcio) values (1, 'Barcino');
insert into tm_poblacio (id_regio, descripcio) values (1, 'Tarraco');
insert into tm_poblacio (id_regio, descripcio) values (1, 'Valentia');
insert into tm_poblacio (id_regio, descripcio) values (2, 'Brigantium');
insert into tm_poblacio (id_regio, descripcio) values (2, 'Bracara Augusta');
insert into tm_poblacio (id_regio, descripcio) values (2, 'Asturica Augusta');
insert into tm_poblacio (id_regio, descripcio) values (3, 'Carthago Nova');
insert into tm_poblacio (id_regio, descripcio) values (3, 'Toletum');
insert into tm_poblacio (id_regio, descripcio) values (3, 'Castulo');
insert into tm_poblacio (id_regio, descripcio) values (4, 'Salmantica');
insert into tm_poblacio (id_regio, descripcio) values (4, 'Augusta Emerita');
insert into tm_poblacio (id_regio, descripcio) values (4, 'Olissipo');
insert into tm_poblacio (id_regio, descripcio) values (5, 'Sulpicia');
insert into tm_poblacio (id_regio, descripcio) values (5, 'Hispalis');
insert into tm_poblacio (id_regio, descripcio) values (5, 'Aurgi');

insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (1, 'gerente.barcino.1@mitienda.es', 10, 0, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (1, 'gerente.barcino.2@mitienda.es', 16, 1, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (1, 'gerente.barcino.3@mitienda.es', 3, 0, 1, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (2, 'gerente.tarraco.1@mitienda.es', 12, 0, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (3, 'gerente.valentia.1@mitienda.es', 5, 0, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (3, 'gerente.valentia.2@mitienda.es', 13, 1, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (4, 'gerente.brigantium.1@mitienda.es', 3, 0, 1, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (5, 'gerente.bracara.1@mitienda.es', 10, 0, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (6, 'gerente.asturica.1@mitienda.es', 4, 0, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (7, 'gerente.carthago.1@mitienda.es', 4, 1, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (7, 'gerente.carthago.2@mitienda.es', 8, 1, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (8, 'gerente.toletum.1@mitienda.es', 5, 0, 1, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (9, 'gerente.castulo.1@mitienda.es', 6, 1, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (10, 'gerente.salmantica.1@mitienda.es', 16, 0, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (11, 'gerente.emerita.1@mitienda.es', 12, 0, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (12, 'gerente.olissipo.1@mitienda.es', 2, 0, 1, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (13, 'gerente.sulspicia.1@mitienda.es', 4, 1, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta, baixa) values (14, 'gerente.hispalis.1@mitienda.es', 8, 0, 0, CAST('01/11/2015' as datetime), GETDATE());
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (14, 'gerente.hispalis.2@mitienda.es', 7, 0, 0, CAST('01/11/2015' as datetime));
insert into tw_botiga (id_poblacio, email_gerent, nombre_treballadors, es_franquicia, es_virtual, alta) values (15, 'gerente.aurgi.1@mitienda.es', 5, 0, 0, CAST('01/11/2015' as datetime));

insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta, baixa) values (8412345678905, 'Camiseta maniga curta', 7.50, 0.99, CAST('01/11/2015' as datetime), GETDATE());
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000000, 'Camiseta maniga curta estampat A', 9.95, 1.12, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000017, 'Camiseta maniga curta estampat B', 9.95, 1.24, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000024, 'Camiseta maniga curta estampat C', 9.95, 1.28, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000031, 'Camiseta maniga llarga', 10.50, 3.33, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000048, 'Camiseta maniga llarga estampat A', 11.50, 1.51, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000055, 'Camiseta maniga llarga estampat B', 11.90, 3.13, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000062, 'Camisa llisa', 12.50, 2.00, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000079, 'Jersei', 29.99, 4.00, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000086, 'Jersei cuadres', 35.00, 3.90, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000093, 'Jeans A', 49.90 ,6.55, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000109, 'Jeans B', 55.95, 15.16, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000116, 'Jeans C', 65.50, 9.44, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000130, 'Anorak negre', 89.95, 9.18, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000147, 'Anorak polar', 99.95, 12.47, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000154, 'Anorak super', 119.90, 13.20, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000161, 'Cinturo moda', 6.00, 3.21, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000178, 'Cinturo pell', 6.00, 2.55, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000185, 'Calat esportiu', 29.55, 4.86, CAST('01/11/2015' as datetime));
insert into tw_producte (identificador_ean13, descripcio, preu_brut_actual, benefici_net_actual, alta) values (8400000000192, 'Calat esportiu multicolor', 30.00, 5.12, CAST('01/11/2015' as datetime));

set identity_insert [dbo].[tw_vendes] on
insert into tw_vendes (id_botiga, identificador_ean13, data_venda, hora_venda, quantitat_total, preu_brut_total, benefici_net_total) values (1, '8412345678905', CAST('02/11/2015' as date), 10, 1, 7.50, 0.99) 
insert into tw_vendes (id_botiga, identificador_ean13, data_venda, hora_venda, quantitat_total, preu_brut_total, benefici_net_total) values (1, '8412345678905', CAST('20/11/2015' as date), 10, 1, 7.50, 0.99) 
insert into tw_vendes (id_botiga, identificador_ean13, data_venda, hora_venda, quantitat_total, preu_brut_total, benefici_net_total) values (3, '8412345678905', CAST('21/11/2015' as date), 10, 1, 7.50, 0.99) 
insert into tw_vendes (id_botiga, identificador_ean13, data_venda, hora_venda, quantitat_total, preu_brut_total, benefici_net_total) values (1, '8412345678905', CAST('02/12/2015' as date), 10, 1, 7.50, 0.99) 
insert into tw_vendes (id_botiga, identificador_ean13, data_venda, hora_venda, quantitat_total, preu_brut_total, benefici_net_total) values (10, '8412345678905', CAST('02/12/2015' as date), 10, 1, 7.50, 0.99) 
insert into tw_vendes (id_botiga, identificador_ean13, data_venda, hora_venda, quantitat_total, preu_brut_total, benefici_net_total) values (4, '8412345678905', CAST('20/11/2015' as date), 11, 3, 22.50, 2.97) 
insert into tw_vendes (id_botiga, identificador_ean13, data_venda, hora_venda, quantitat_total, preu_brut_total, benefici_net_total) values (4, '8400000000031', CAST('20/11/2015' as date), 11, 2, 21.00, 6.66)
insert into tw_vendes (id_botiga, identificador_ean13, data_venda, hora_venda, quantitat_total, preu_brut_total, benefici_net_total) values (4, '8400000000031', CAST('22/11/2015' as date), 11, 2, 21.00, 6.66)
insert into tw_vendes (id_botiga, identificador_ean13, data_venda, hora_venda, quantitat_total, preu_brut_total, benefici_net_total) values (4, '8400000000031', CAST('01/01/2016' as date), 11, 8, 21.00, 26.64)